#### 4.22.3.2 canonicalizeCone

`Syntax:`
  `canonicalizeCone(` cone c, intvec point `)`
`Type:`
  cone
`Purpose:`
  canonicalized version of the cone, no more redundant inequalities and equations
`Example:`

      LIB"gfanlib.so";
      intmat M[11][3]=
      0,-1,1,
      -1,1,0,
      -1,0,1,
      -1,-1,2,
      -2,2,0,
      -2,1,1,
      -2,0,2,
      -2,-1,3,
      -3,2,1,
      -3,1,2,
      -3,0,3;
      cone c=coneViaInequalities(M);
      c;
      ==> AMBIENT_DIM
      ==> 3
      ==> INEQUALITIES
      ==> -3, 1,2,
      ==> -3, 2,1,
      ==> -2,-1,3,
      ==> -2, 1,1,
      ==> -1,-1,2,
      ==> -1, 0,1,
      ==> -1, 1,0,
      ==>  0,-1,1
      ==> LINEAR_SPAN
      ==>
      ==>
      canonicalizeCone(c);
      ==> AMBIENT_DIM
      ==> 3
      ==> FACETS
      ==> -1, 1,0,
      ==>  0,-1,1
      ==> LINEAR_SPAN
      ==>
      ==>

User manual for Singular version 4-0-3, 2016, generated by texi2html.